#ifndef CHANGECONFIGDIALOG_H
#define CHANGECONFIGDIALOG_H

#include <QDialog>
#include <QGroupBox>
#include <QListWidget>
#include <QLabel>
#include <QFileDialog>
#include <QtGui>
#include <iostream>
using namespace std;


//! To change some options of the configuration of VisApp at runtime
// The idea is to change the gridmap image which is specific to each vismap
class ChangeConfigDialog : public QDialog
{
    Q_OBJECT
public:
    ChangeConfigDialog(QWidget *parent = 0);

    void setMinMatches(int m) { minmatchesInput->setText(QString::number(m)); }
    void setMaxMatches(int m) { maxmatchesInput->setText(QString::number(m)); }
    void setGridmap(QString s) { gridmapInput->setText(s); }
    int getMinMatches() { return minmatchesInput->text().toInt(); }
    int getMaxMatches() { return maxmatchesInput->text().toInt(); }
    QString getGridmap() { return gridmapInput->text(); }
private slots:
    void browse();
private:
    QLineEdit* minmatchesInput;
    QLineEdit* maxmatchesInput;
    QLineEdit* gridmapInput;
    QPushButton* updateButton;
    QPushButton* cancelButton;
    QFileDialog* myDialog;
};

#endif // CHANGECONFIGDIALOG_H
