#ifndef DEFS_H
#define DEFS_H

#include "common.h"
#include "camera/converter.h"
#include <vector>
#include <boost/unordered_map.hpp>
#include <boost/foreach.hpp>
#include <opencv2/core/core.hpp>
#include "configuration.h"

// Descriptor data type
#ifndef DDT
typedef double DDT;
#endif

extern conf::VisAppConf appConf;


typedef unsigned char FT; //featureType
typedef float CT; //clusterType

typedef int wordIndex;
typedef int imageIndex;


typedef vector<cv::Point2d> PointList;
typedef pair<PointList,PointList> PointMatchList;
typedef boost::unordered_map<imageIndex,PointMatchList> PointMatchMap;




#endif
