#include "edgeinput.h"

EdgeInput::EdgeInput(QDialog *parent) : QDialog(parent)
{
    setWindowTitle(QString("Edge (v1 & v2):"));

    QIntValidator *ivalidator = new QIntValidator();

    input1 = new QLineEdit();
    input1->setValidator(ivalidator);
    input1->setMaximumSize(60,25);
    input1->setMaxLength(6);
    input1->setCursorPosition(0);
    input1->setVisible(true);

    input2 = new QLineEdit();
    input2->setValidator(ivalidator);
    input2->setMaximumSize(60,25);
    input2->setMaxLength(6);
    input2->setCursorPosition(0);
    input2->setVisible(true);

    QHBoxLayout *hbox = new QHBoxLayout;
    hbox->addWidget(input1);
    hbox->addSpacing(10);
    hbox->addWidget(input2);
    setLayout(hbox);

    setFixedSize(QSize(250,50));

    connect(input2,SIGNAL(returnPressed()),this,SLOT(accept()));
}


int EdgeInput::getVertex1Id() {
    if(input1->text().isEmpty())
        return -1;
    else
        return input1->text().toInt();
}


int EdgeInput::getVertex2Id() {
    if(input2->text().isEmpty())
        return -1;
    else
        return input2->text().toInt();
}

