#ifndef IMAGECOMPARISONCONFIG_H
#define IMAGECOMPARISONCONFIG_H

#include <QWidget>
#include <QtGui>

//! Configuration window for image comparison widget
class ImageComparisonConfig : public QWidget
{
    Q_OBJECT
public:
    ImageComparisonConfig(QWidget *parent = 0);

    // returns the selected method of image matching
    int getMethod();

    // returns the filter which encodes the module that will be loaded
    int getFilter();

    //! Pairwise matching mode
    void switchToPairOnlyMode() {
        radioEdge->setEnabled(false);
        radioCustom->setEnabled(false);
        radioPair->setEnabled(true);
        radioPair->setChecked(true);
    }

    void setSubWindowPtr(QMdiSubWindow *s) { subwin = s; }
signals:
    void configChanged();
    void closeSignal();

private slots:
    void updateVisual();
    void closeEvent(QCloseEvent *);
    void close();

private:
    QGroupBox *createMethodGroup();
    QGroupBox *createFilterGroup();

    QGroupBox *groupBoxMethod;
    QGroupBox *groupBoxFilter;

    QRadioButton *radioEdge;
    QRadioButton *radioPair;
    QRadioButton *radioCustom;

    QCheckBox *checkBoxDup;
    QCheckBox *checkBoxFund;
    QCheckBox *checkBoxOut;
    QCheckBox *checkBoxSpa;

    QMdiSubWindow *subwin;
};


#endif // IMAGECOMPARISONCONFIG_H
