#ifndef IMAGEWINDOW_H
#define IMAGEWINDOW_H

#include <QMdiSubWindow>
#include "imagewidget.h"

class ImageWindow : public QMdiSubWindow {
    Q_OBJECT
private:
    ImageWidget *imageWidget;
public:
    ImageWindow(QString file) : QMdiSubWindow() {
        imageWidget = new ImageWidget;
        imageWidget->openImage(file);

        setWidget(imageWidget);
        setAttribute(Qt::WA_DeleteOnClose);
        resize(imageWidget->sizeHint());
    }

    ~ImageWindow(){
        if(imageWidget != NULL) {
            delete imageWidget;
            imageWidget = NULL;
        }
    }
};


#endif // IMAGEWINDOW_H
