// This class provides functions to stream using different levels
// Mainly used for debugging purposes

#ifndef LOGDEBUG_H
#define LOGDEBUG_H

#include <iostream>
#include <ostream>


class Debug
{
public:
    Debug( int level )
#ifdef _DEBUG
    : m_output( level >= _DEBUG )
#endif
        { }

    template<typename T>
    Debug& operator<<( T t)
    {
        #ifdef _DEBUG
        if( m_output )
        {
            std::cout << t;
            return *this;
        }
        else
        #endif
            return *this;
    }
    // to be able to print std::endl
    std::ostream& operator<<(std::ostream& (*f)(std::ostream&))
    {
        #ifdef _DEBUG
            if( m_output )
            {
               return f(std::cout);
            }
        #else
            return ((std::ostream&)*this);
        #endif
    }
private:
#ifdef _DEBUG
    bool m_output;
#endif
};


#endif // LOGDEBUG_H
