/***************************************************************
 *
 * Written by: Gorkem Erinc, gerinc@gmail.com
 *
 * Description:
 *    Graphical User Interface (GUI) allowing users to
 *    create, modify, and visualize appearance-based maps.
 *
 ***************************************************************/

#include "visapp.h"
#include "simmap.h"
#include "icons.h"


VisApp::VisApp(int & argc, char ** argv)
    : QApplication(argc, argv)
{
    mainWindow = new MainWindow();
    setWindowIcon(QIcon(ICON_LOGO));
    mainWindow->setWindowTitle("VisApp - User interface for visual localization and mapping...");
}

VisApp::~VisApp()
{
    // Delete every system temporary file except the config files
    char systemcall[50];
    sprintf(systemcall,"rm -r sys/*/");
    //system(systemcall);
}

int VisApp::run()
{
    mainWindow->show();
    return exec();
}
